{% block sw_cms_el_three_col_banner_element %}	
	{% set leftBlock = block.slots.getSlot('left') %}
	{% set middleBlock = block.slots.getSlot('middle') %}
	{% set rightBlock = block.slots.getSlot('right') %}
	
	{% set blocks = block.slots.elements %}
	<div class="media-container d-flex justify-content-center align-items-stretch w-100 flex-column flex-lg-row px-3 px-md-4 px-lg-0">
	{% for slot in blocks|sort %}
		{% set config = slot.translated.config %}
		<div class="mb-4 mb-md-5 mb-lg-0 px-lg-4 px-xl-5 {{config.verticalAlign.value}} {{config.horizontalAlign.value}} {{config.backgroundColor.value}} {{config.textColor.value}}">
			<div class="media">
				
				{% set bannerMediaId = config.media.value %}
				{% set mediaCollection = searchMedia([bannerMediaId], context.context) %}
				{% set bannerImage = mediaCollection.get(bannerMediaId) %}
				<div class="media-image align-self-center rounded-circle bg-{{config.btnColor.value}} p-4 p-xl-5 mr-3 ">
					<img src="{{bannerImage.url}}" width="65" class="img-fluid">
				</div>
			    <div class="media-body align-self-center">      
					<h2 class="{{config.textColor.value}}">{{config.headline.value}}</h2>
			
					{{config.bannerContent.value |raw}}
			   		   
					{% if config.btnOutline.value == 1 %}
					<a href="{{config.url.value |raw}}" class="btn btn-outline-{{config.btnColor.value}} mt-3 mt-md-4">{{config.buttonText.value}}</a>
					{% elseif config.url.value %}
					<a href="{{config.url.value |raw}}" class="btn btn-{{config.btnColor.value}} mt-3 mt-md-4">{{config.buttonText.value}}</a>
					{% endif %}
			    </div>
			</div>
		</div>
    {% endfor %}
    </div>
{% endblock %}